list.c(3)

NAME
list.c - Circular doubly linked list routines.

SYNOPSIS

#include <config.h>
#include <stdlib.h>
#include <string.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct wget_list_st

  Functions
void * wget_list_append (wget_list **list, const void *data, size_t size)
void * wget_list_prepend (wget_list **list, const void *data, size_t size)
void wget_list_remove (wget_list **list, void *elem)
void * wget_list_getfirst (const wget_list *list)
void * wget_list_getlast (const wget_list *list)
void * wget_list_getnext (const void *elem)
int wget_list_browse (const wget_list *list, wget_list_browse_fn *browse, void *context)
void wget_list_free (wget_list **list)

Detailed Description

Circular doubly linked list routines.

Author

Generated automatically by Doxygen for wget2 from the source code.